Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	terminal based internet relay chat client
Name:      	irssi 
Version:   	0.8.12
Release:   	1
Provides:	%{name}
License: 	GNU/GPL
URL:		http://irssi.org
Group:     	Networking/Chat
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  glib-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  perl

%description
Irssi is a terminal based IRC client for UNIX systems. It also supports SILC and ICB protocols via plugins.

%package devel
Summary: 	%{name} development headers.
Group:     	%{group}
Requires: 	%{name} = %{version}

%description devel
Header and include files for developing applications with %{name}.

%package        doc
Summary:        %{name} documentation files.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    doc
%{name} documentation files.

%package        bot
Summary:        %{name} bot.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    bot
%{name} bot 

%package        proxy
Summary:        %{name} IRC proxy.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    proxy
proxy module for irssi IRC client.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./autogen.sh
./configure 	--prefix=%_prefix \
		--sysconfdir=%_sysconfdir \
		--disable-debug \
		--with-socks\
		--with-textui \
		--with-bot \
		--with-proxy \
		--with-gc 
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/irssi
%{_sysconfdir}/irssi.conf
%{_libdir}/perl5
%{_datadir}/irssi
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}

%files doc
%defattr(-,root,root)
%{_docdir}

%files bot
%defattr(-,root,root)
%{_bindir}/botti

%files proxy
%defattr(-,root,root)
%{_libdir}/irssi/modules/libirc_proxy.*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.12-1
- Initial Release
